See also: https://launchpad.net/ubuntu-manpage-repository

# Setting up a micro site for dev/test in a container

To help ease the testing of this there is tooling in place to create a
small  "microsite".  This just puts out a Packages files with a small
set of packages for testing pursposes in a container.  It also copies
the current branch (.bzr file and all) out to the container in the
/srv/manpages.ubuntu.com directory, making it super easy to test out
your changes.

    make create-microsite-container

You can also override the default container name
(default=**manpages-microsite**), if you want to deploy
two sites to compare, for instance:

    MICROSITE_CONTAINER=name2 make create-microsite-container

# TODO

 * search.py really needs someone to make functions and simplify it.
 * switch container setup script to use a 'manpages' user account
   instead of root as it does now

# Deployment

We keep a separate branch for what is run in production. To update that
branch to the latest master branch do the following:

```shell
bzr checkout lp:ubuntu-manpage-repository
bzr switch lp:ubuntu-manpage-repository/production
bzr merge lp:ubuntu-manpage-repository
```

Then submit an RT to get the production server updated with the latest
revno included.
