#!/bin/bash -e
# 
# Goal: idempotent script to setup a server to be a host for a
# manpages.ubuntu.com dev/test site.  Should mimic what is done in
# production where needed/possible.
# 
# Notes:
# 
# - This script should be run as root
# - This script should be created/structured so that
#   it's idempotent

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

cp -v "$DIR/../examples/manpages-site.conf" /etc/apache2/sites-available/

a2ensite manpages-site
a2enmod cgi
a2enmod include
service apache2 restart


